ublas: boost::numeric::ublas::coordinate_matrix< T, L, IB, IA, TA > Class Template Reference

# boost::numeric::ublas::coordinate_matrix< T, L, IB, IA, TA > Class Template Reference

Inherits matrix_container< coordinate_matrix< T, L, IB, IA, TA > >.

List of all members.

## Classes
class | const_iterator1
class | const_iterator2
class | iterator1
class | iterator2
## Public Types
typedef IA::value_type | size_type
typedef std::ptrdiff_t | difference_type
typedef IA::size_type | array_size_type
typedef T | value_type
typedef const T & | const_reference
typedef T & | reference
typedef IA | index_array_type
typedef TA | value_array_type
typedef const matrix_reference < const self_type > | const_closure_type
typedef matrix_reference < self_type > | closure_type
typedef coordinate_vector< T, IB, IA, TA > | vector_temporary_type
typedef self_type | matrix_temporary_type
typedef sparse_tag | storage_category
typedef L::orientation_category | orientation_category
typedef reverse_iterator_base1 < const_iterator1 > | const_reverse_iterator1
typedef reverse_iterator_base1 < iterator1 > | reverse_iterator1
typedef reverse_iterator_base2 < const_iterator2 > | const_reverse_iterator2
typedef reverse_iterator_base2 < iterator2 > | reverse_iterator2
## Public Member Functions
BOOST_UBLAS_INLINE | coordinate_matrix (size_type size1, size_type size2, array_size_type non_zeros=0)
BOOST_UBLAS_INLINE | coordinate_matrix (const coordinate_matrix &m)
template<class AE >
BOOST_UBLAS_INLINE | coordinate_matrix (const matrix_expression< AE > &ae, array_size_type non_zeros=0)
BOOST_UBLAS_INLINE size_type | size1 () const
BOOST_UBLAS_INLINE size_type | size2 () const
BOOST_UBLAS_INLINE size_type | nnz_capacity () const
BOOST_UBLAS_INLINE size_type | nnz () const
BOOST_UBLAS_INLINE array_size_type | filled () const
BOOST_UBLAS_INLINE const index_array_type & | index1_data () const
BOOST_UBLAS_INLINE const index_array_type & | index2_data () const
BOOST_UBLAS_INLINE const value_array_type & | value_data () const
BOOST_UBLAS_INLINE void | set_filled (const array_size_type &filled)
BOOST_UBLAS_INLINE index_array_type & | index1_data ()
BOOST_UBLAS_INLINE index_array_type & | index2_data ()
BOOST_UBLAS_INLINE value_array_type & | value_data ()
BOOST_UBLAS_INLINE void | resize (size_type size1, size_type size2, bool preserve=true)
BOOST_UBLAS_INLINE void | reserve (array_size_type non_zeros, bool preserve=true)
BOOST_UBLAS_INLINE pointer | find_element (size_type i, size_type j)
BOOST_UBLAS_INLINE const_pointer | find_element (size_type i, size_type j) const
BOOST_UBLAS_INLINE const_reference | operator() (size_type i, size_type j) const
BOOST_UBLAS_INLINE reference | operator() (size_type i, size_type j)
BOOST_UBLAS_INLINE void | append_element (size_type i, size_type j, const_reference t)
BOOST_UBLAS_INLINE true_reference | insert_element (size_type i, size_type j, const_reference t)
BOOST_UBLAS_INLINE void | erase_element (size_type i, size_type j)
BOOST_UBLAS_INLINE void | clear ()
BOOST_UBLAS_INLINE coordinate_matrix & | operator= (const coordinate_matrix &m)
template<class C >
BOOST_UBLAS_INLINE coordinate_matrix & | operator= (const matrix_container< C > &m)
BOOST_UBLAS_INLINE coordinate_matrix & | assign_temporary (coordinate_matrix &m)
template<class AE >
BOOST_UBLAS_INLINE coordinate_matrix & | operator= (const matrix_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE coordinate_matrix & | assign (const matrix_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE coordinate_matrix & | operator+= (const matrix_expression< AE > &ae)
template<class C >
BOOST_UBLAS_INLINE coordinate_matrix & | operator+= (const matrix_container< C > &m)
template<class AE >
BOOST_UBLAS_INLINE coordinate_matrix & | plus_assign (const matrix_expression< AE > &ae)
template<class AE >
BOOST_UBLAS_INLINE coordinate_matrix & | operator-= (const matrix_expression< AE > &ae)
template<class C >
BOOST_UBLAS_INLINE coordinate_matrix & | operator-= (const matrix_container< C > &m)
template<class AE >
BOOST_UBLAS_INLINE coordinate_matrix & | minus_assign (const matrix_expression< AE > &ae)
template<class AT >
BOOST_UBLAS_INLINE coordinate_matrix & | operator*= (const AT &at)
template<class AT >
BOOST_UBLAS_INLINE coordinate_matrix & | operator/= (const AT &at)
BOOST_UBLAS_INLINE void | swap (coordinate_matrix &m)
BOOST_UBLAS_INLINE void | sort () const
BOOST_UBLAS_INLINE void | push_back (size_type i, size_type j, const_reference t)
BOOST_UBLAS_INLINE void | pop_back ()
const_iterator1 | find1 (int rank, size_type i, size_type j, int direction=1) const
iterator1 | find1 (int rank, size_type i, size_type j, int direction=1)
const_iterator2 | find2 (int rank, size_type i, size_type j, int direction=1) const
iterator2 | find2 (int rank, size_type i, size_type j, int direction=1)
BOOST_UBLAS_INLINE const_iterator1 | begin1 () const
BOOST_UBLAS_INLINE const_iterator1 | end1 () const
BOOST_UBLAS_INLINE iterator1 | begin1 ()
BOOST_UBLAS_INLINE iterator1 | end1 ()
BOOST_UBLAS_INLINE const_iterator2 | begin2 () const
BOOST_UBLAS_INLINE const_iterator2 | end2 () const
BOOST_UBLAS_INLINE iterator2 | begin2 ()
BOOST_UBLAS_INLINE iterator2 | end2 ()
BOOST_UBLAS_INLINE const_reverse_iterator1 | rbegin1 () const
BOOST_UBLAS_INLINE const_reverse_iterator1 | rend1 () const
BOOST_UBLAS_INLINE reverse_iterator1 | rbegin1 ()
BOOST_UBLAS_INLINE reverse_iterator1 | rend1 ()
BOOST_UBLAS_INLINE const_reverse_iterator2 | rbegin2 () const
BOOST_UBLAS_INLINE const_reverse_iterator2 | rend2 () const
BOOST_UBLAS_INLINE reverse_iterator2 | rbegin2 ()
BOOST_UBLAS_INLINE reverse_iterator2 | rend2 ()
template<class Archive >
void | serialize (Archive &ar, const unsigned int)
## Static Public Member Functions
static BOOST_UBLAS_INLINE size_type | index_base ()
## Friends
class | iterator1
class | iterator2
class | const_iterator1
class | const_iterator2
BOOST_UBLAS_INLINE friend void | swap (coordinate_matrix &m1, coordinate_matrix &m2)

### template<class T, class L, std::size_t IB, class IA, class TA>
class boost::numeric::ublas::coordinate_matrix< T, L, IB, IA, TA >